<?php

namespace App\Http\Requests\Auth;

use Illuminate\Foundation\Http\FormRequest;

class RegisterRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'name' => 'required',
            'email' => 'required|unique:users',
            'password' => 'required'
        ];
    }
    
    /**
     * Custom message for validation
     *
     * @return array
     */
    public function messages()
	{
		return [
            'name.required' => 'Specifiy the name',
            'email.required' => 'Specifiy the email',
            'password.required' => 'Specifiy the password'
		];
	}
}
